#One sample t-test
daily.intake <- c(5260,5470,5640,6180,6390,6515,
                     6805,7515,7515,8230,8770)
#Let us first look at some simple summary statistics, even though these are
#hardly necessary for such a small data set:
mean(daily.intake)
sd(daily.intake)
quantile(daily.intake)
#You might wish to investigate whether the women's energy intake deviates
#systematically from a recommended value of 7725 kJ. Assuming that
#data come from a normal distribution, the object is to test whether this
#distribution might have mean ?? = 7725. This is done with t.test as follows:
t.test(daily.intake,mu=7725)
#Wilcoxon signed-rank test
wilcox.test(daily.intake, mu=7725)
#Two-sample t test
attach(energy)
energy
t.test(expend~stature)
#Notice the use of the tilde (~) operator to specify that expend is described 
#by stature.
t.test(expend~stature, var.equal=T)
#Comparison of variances
var.test(expend~stature)
#Two-sample Wilcoxon test
wilcox.test(expend~stature)
#The paired t test
attach(intake)
intake
post - pre
t.test(pre, post, paired=T)
t.test(pre, post) #WRONG!
#The matched-pairs Wilcoxon test
wilcox.test(pre, post, paired=T)
