#ex11_13WMS - Fitting a parabola
x<-c(-2, -1, 0, 1, 2)
y<-c(0, 0, 1, 1, 3)

lm2<-lm(y~x+I(x^2))
summary(lm2)
pred.frame <- data.frame(x=seq(-2.5,2.5,0.1))
py<-predict(lm2,newdata=pred.frame)
pc<-predict(lm2,newdata=pred.frame,int="confidence")
pp<-predict(lm2,newdata=pred.frame,int="prediction")
plot(x,y,ylim=range(pp))
matlines(pred.frame$x,py,col="red")
matlines(pred.frame$x,pp,col="blue")
matlines(pred.frame$x,pc,col="green")
