#Example 1 Linear model
x<-c(-2, -1, 0, 1, 2)
y<-c(0, 0, 1, 1, 3)

lm1<-lm(y~x)
summary(lm1)

predict.lm(lm1,newdata=data.frame(x=2))
predict.lm(lm1,newdata=data.frame(x=2),int="p")
predict.lm(lm1,newdata=data.frame(x=2),int="c")

pred.frame <- data.frame(x=seq(-2.5,2.5,0.1))
pp <- predict.lm(lm1, int="p", newdata=pred.frame)
pc <- predict.lm(lm1, int="c", newdata=pred.frame)
plot(x,y,ylim=range(pp))
#abline(coef(lm1),col="red")
matlines(pred.frame$x, pc, lty=c(1,2,2), col="black")
matlines(pred.frame$x, pp, lty=c(1,3,3), col="red")
abline(v=2)